<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <title>CRCulator</title>
        <meta name="description" content="A smol CR Calculator" />
        <meta name="author" content="James" />
        <meta property="og:title" content="CRCulator" />
        <meta property="og:type" content="CRCulator" />
        <meta property="og:url" content="https://cr.james-things.com" />
        <meta property="og:description" content="A smol CR Calculator" />
        <meta property="og:image" content="https://e7.pngegg.com/pngimages/710/403/png-clipart-the-embodiment-of-scarlet-devil-team-shanghai-alice-video-game-banjo-tooie-mario-luigi-partners-in-time-marisa-logo-computer-wallpaper.png" />
        <link rel="icon" href="/favicon.ico" />
        <link rel="icon" href="/favicon.svg" type="image/svg+xml" />
        <link rel="apple-touch-icon" href="/apple-touch-icon.png" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet" />
        <link type="text/css" rel="stylesheet" href="css/materialize.min.css" media="screen,projection" />
        <link rel="stylesheet" href="css/styles.css" />
    </head>
    <body>
        <div class "container">
        <div class="row">
            <div class="col s12 l8 offset-l2">
                <div class="blurry">
                    <div class="card white">
                        <div class="card-content white-text">
                            <span class="card-title black-text">James' CR Calculator... or Crculator... whatever</span>
                            <form action="#">
                                <!-- START OF CONTENT! -->
                                <div class="row">
                                    <div class="col s12">
                                        <ul class="tabs">
                                            <li class="tab col s3"><a href="#Party">Party Setup</a></li>
                                            <li class="tab col s3"><a href="#Mobconfig">Mob Configuration</a></li>
                                            <li class="tab col s3"><a href="#Results">Results</a></li>
                                            <li class="tab col s3"><a href="#Bonus">Bonus Information</a></li>
                                        </ul>
                                    </div>
                                    <div id="Party" class="col s12">
                                        <div class="card green">
                                            <div class="card-content white-text">
                                                <span class="card-title">Party Setup</span>
                                                <div class="row">
                                                    <div class="col s12 m6">
                                                        <div class="card green darken-4">
                                                            <div class="card-content white-text">
                                                                <span class="card-title">About the Players...</span>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Meelee count</span>
                                                                        <span>How many Meelee Fighters are in the Party?</span>
                                                                        <div class="input-field s3">
                                                                            <input placeholder="Insert Smash Bros. refference..." id="party_meelee" min="1" type="number" class="white-text validate" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Ranged count</span>
                                                                        <span>How many Ranged fighters are in the Party?</span>
                                                                        <div class="input-field s3">
                                                                            <input placeholder="The ones, that DON'T track ammo..." id="party_long_range" min="1" type="number" class="white-text validate" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Mage count</span>
                                                                        <span>How many Spell Fighters are in the Party?</span>
                                                                        <div class="input-field s3">
                                                                            <input placeholder="The ones, who are forced to track ammo..." id="party_magic" min="1" type="number" class="white-text validate" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Support count</span>
                                                                        <span>How many squishy Supports?</span>
                                                                        <div class="input-field s3">
                                                                            <input placeholder="The dicestackers." id="party_support" min="1" type="number" class="white-text validate" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Level</span>
                                                                        <span>What average level is your party?</span>
                                                                        <div class="input-field s3">
                                                                            <input placeholder="How stronk?" id="party_level" min="1" max="20" type="number" class="white-text validate" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Resources</span>
                                                                        <span>How healthy are your players?</span> <br />
                                                                        <label> <input name="party_health" type="radio" checked /> <span>They just had a long rest (full)</span> </label> <br />
                                                                        <label> <input name="party_health" type="radio" /> <span>Full after a short rest (missing some health)</span> </label> <br />
                                                                        <label> <input name="party_health" type="radio" /> <span>They might be missing some spellslots, ammo... or arms (medium hp, low ammo) </span> </label><br />
                                                                        <label> <input name="party_health" type="radio" /> <span>They roleplay a corpse (low Health, no resources)</span> </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col s12 m6">
                                                        <div class="card green darken-4">
                                                            <div class="card-content white-text">
                                                                <span class="card-title">Skill calculator</span>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Knowledge</span>
                                                                        <span>Have your players played DND before?</span> <br />
                                                                        <label> <input name="party_dndknowledge" type="radio" checked /> <span>Yes</span> </label> <br />
                                                                        <label> <input name="party_dndknowledge" type="radio" /> <span>Some have</span> </label> <br />
                                                                        <label> <input name="party_dndknowledge" type="radio" /> <span>No, what's a DND?</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Awareness</span>
                                                                        <span>Do your players use the enviroment for attacks?</span> <br />
                                                                        <label> <input name="party_attention" type="radio" checked /> <span>Yes, but there is nothing around</span> </label> <br />
                                                                        <label> <input name="party_attention" type="radio" /> <span>Yes, they could use this conventiently placed DEATHLAZOR</span> </label> <br />
                                                                        <label> <input name="party_attention" type="radio" /> <span>No, my players are mindless robots.</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Strategies</span>
                                                                        <span>Do your players play any strategy games? (Chess counts)</span> <br />
                                                                        <label> <input name="group3" type="radio" checked /> <span>Yes</span> </label> <br />
                                                                        <label> <input name="group3" type="radio" /> <span>No</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Special rules</span>
                                                                        <span>Do you use rules, which assist in adding damage/advantage? (Flanking, Limb rule , Lingering Injuries, Massive Damage, yadayada)</span> <br />
                                                                        <label> <input name="group4" type="radio" checked /> <span>Yes</span> </label><br />
                                                                        <label> <input name="group4" type="radio" /> <span>Multiple</span> </label><br />
                                                                        <label> <input name="group4" type="radio" /> <span>No</span> </label><br /><br />
                                                                        <ul class="collapsible">
                                                                            <li>
                                                                                <div class="collapsible-header black"><i class="material-icons">info_outline</i>Explanation Flanking</div>
                                                                                <div class="collapsible-body grey darken-4">
                                                                                    <span>
                                                                                    Flanking is an optional rule in DnD 5E, intended to add more tactical depth to combat. The rule itself is straightforward: When a creature and at least
                                                                                    one ally are within 5ft of the same enemy on opposite sides, that enemy is flanked. Each of the creatures flanking has advantage on melee attacks
                                                                                    against it.
                                                                                    </span>
                                                                                </div>
                                                                            </li>
                                                                            <li>
                                                                                <div class="collapsible-header black"><i class="material-icons">info_outline</i>Explanation Limb Rule</div>
                                                                                <div class="collapsible-body grey darken-4">
                                                                                    <span>
                                                                                    Basically like flanking, but instead of standing opposed to the enemy, it's about outnumbering the usable limbs. Basically if there is a normal human,
                                                                                    using two swords/shields, they can block 2 People. If there is a third person, they gain advantage, since they cannot block the third attack.
                                                                                    </span>
                                                                                </div>
                                                                            </li>
                                                                            <li>
                                                                                <div class="collapsible-header black"><i class="material-icons">info_outline</i>Explanation Lingering Injuries</div>
                                                                                <div class="collapsible-body grey darken-4">
                                                                                    <span>
                                                                                    When a creature takes damage from a single source equal to or greater than half its hit point maximum, it must succeed on a Constitution saving throw
                                                                                    with DC 15 or half the damage receive (whichever is higher) or suffer a random effect determined by a roll on the System Shock table. <br />
                                                                                    (Table not included)
                                                                                    </span>
                                                                                </div>
                                                                            </li>
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="Mobconfig" class="col s12">
                                        <div class="card indigo">
                                            <div class="card-content white-text">
                                                <span class="card-title">Mob Setup</span>
                                                <div class="row">
                                                    <div class="col s6">
                                                        <div class="card indigo darken-4">
                                                            <div class="card-content white-text">
                                                                <span class="card-title">Basics</span>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Amount</span>
                                                                        <span>How many bad guys?</span>
                                                                        <span class="red-text">CHANGING THIS WILL RESET THE HP CALCULATION</span>
                                                                        <div class="input-field s3">
                                                                            <input placeholder="How many eggs for a cake?" onchange="setMobs()" id="mob_ammount" min="1" type="number" class="white-text validate" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Health kind</span>
                                                                        <span>Are we using Average Health or HP Dice?</span><br />
                                                                        <label> <input id="mob_hp_type_averages" name="mob_hp_type" type="radio" checked onchange="usingHPDice(false)" /> <span>Averages</span> </label>
                                                                        <label> <input id="mob_hp_type_rolled" name="mob_hp_type" type="radio" onchange="usingHPDice(true)" /> <span>Hit Dice</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Health definition</span>
                                                                        <div id="HP_hitdice">
                                                                            <span>How many Dice are used for the calculation?</span>
                                                                            <div class="input-field s1">
                                                                                <input placeholder="[X]d10" id="mob_hp_dice_ammount" min="1" type="number" class="white-text validate" />
                                                                            </div>
                                                                            <span>Which kind of die is used?</span>
                                                                            <div class="input-field s3">
                                                                                <input placeholder=" 4d[Y]" id="mob_hp_dice_type" min="1" type="number" class="white-text validate" />
                                                                            </div>
                                                                        </div>
                                                                        <div id="HP_average">
                                                                            <span>What's the average HP of the Enemy?</span>
                                                                            <div class="input-field s1">
                                                                                <input placeholder="42" id="mob_hp_avg" min="1" type="number" class="white-text validate" />
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Armor Class</span>
                                                                        <span>What's the average Armorclass?</span>
                                                                        <div class="input-field s3">
                                                                            <input placeholder="Should be at least 1" id="party_level" min="1" type="number" class="white-text validate" />
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col s6">
                                                        <div class="card indigo darken-4">
                                                            <div class="card-content white-text">
                                                                <span class="card-title">Hurting the player</span>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Damage kind</span>
                                                                        <span>Are we using Rolled or Average Damage?</span><br />
                                                                        <label> <input id="mob_dmg_type_rolled" name="mob_dmg_type" type="radio" checked onchange="usingDMGDice(true)" /> <span>Rolled Damage</span> </label>
                                                                        <label> <input id="mob_dmg_type_averages" name="mob_dmg_type" type="radio" onchange="usingDMGDice(false)" /> <span>Average Damage</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Damage definition</span>
                                                                        <div id="dmg_average">
                                                                            <span>How many Dice are used for the calculation?</span>
                                                                            <div class="input-field s1">
                                                                                <input placeholder="[X]d6" id="mob_dmg_dice_ammount" min="1" type="number" class="white-text validate" />
                                                                            </div>
                                                                            <span>Which kind of die is used?</span>
                                                                            <div class="input-field s3">
                                                                                <input placeholder=" 4d[Y]" id="mob_dmg_dice_type" min="1" type="number" class="white-text validate" />
                                                                            </div>
                                                                        </div>
                                                                        <div id="dmg_hitdice">
                                                                            <span>What's the average damage of the enemy?</span>
                                                                            <div class="input-field s1">
                                                                                <input placeholder="The number before the damage dice." id="mob_dmg_avg" min="1" type="number" class="white-text validate" />
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title"> Damage Types </span>
                                                                        <span>What damagetype is beeing used?</span><br>
                                                                        <div class="row">
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_acid" type="checkbox" /> <span>Acid</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_bludgeoning" type="checkbox" /> <span>Bludgeoning</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_cold" type="checkbox" /> <span>Cold</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_fire" type="checkbox" /> <span>Fire</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_force" type="checkbox" /> <span>Force</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_lightning" type="checkbox" /> <span>Lightning</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_necrotic" type="checkbox" /> <span>Necrotic</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_piercing" type="checkbox" /> <span>Piercing</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_poison" type="checkbox" /> <span>Poison</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_psychic" type="checkbox" /> <span>Psychic</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_radiant" type="checkbox" /> <span>Radiant</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_slashing" type="checkbox" /> <span>Slashing</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="dmgtype_thunder" type="checkbox" /> <span>Thunder</span> </label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col s6">
                                                        <div class="card indigo darken-4">
                                                            <div class="card-content white-text">
                                                                <span class="card-title">Abilities</span>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title"> One-Hitting </span>
                                                                        <span>Can this mob one-hit someone? (Above double max HP or any spell like "Power Word: KILL")</span><br>
                                                                        <label> <input name="mob_onehits" type="radio" checked /> <span>Nope</span> </label><br />
                                                                        <label> <input name="mob_onehits" type="radio"/> <span>Yes :)</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title"> Multiattack </span>
                                                                        <span>Do your mobs have multiattack?</span><br>
                                                                        <label> <input name="mob_multiattack" onchange="setMobMultiattack('hidden')" type="radio" checked /> <span>Nope</span> </label><br />
                                                                        <label> <input name="mob_multiattack" onchange="setMobMultiattack('some')" type="radio"/> <span>Some</span> </label><br />
                                                                        <label> <input name="mob_multiattack" onchange="setMobMultiattack('all')" type="radio"/> <span>Yes, all of them</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div id="mob_multiattack_card" class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Multiattack </span>
                                                                        <span>How many mobs have multiattack?</span><br>
                                                                        <input placeholder="1 / 1" id="mob_multiattack_ammount" min="1" max="1" type="number" class="white-text validate" />
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Strategy</span>
                                                                        <span>How many braincells do your enemies have?</span><br>
                                                                        <label> <input name="mob_strategy" type="radio" checked/> <span>My mobs are dumb as bread</span> </label>
                                                                        <label> <input name="mob_strategy" type="radio" /> <span>My mobs are slightly clever and attack the biggest threat</span> </label><br />
                                                                        <label> <input name="mob_strategy" type="radio" /> <span>My mobs are clever, they use custom rules like flanking</span> </label> <br />
                                                                        <label> <input name="mob_strategy" type="radio" /> <span>My mobs are working in a pack!</span> </label> <br />
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title"> Lair actions </span>
                                                                        <span>Can this mob use Lair Actions?</span><br>
                                                                        <label> <input name="mob_lair_action" type="radio" checked /> <span>Nein</span> </label><br />
                                                                        <label> <input name="mob_lair_action" type="radio"/> <span>Yes</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Legendary Actions</span>
                                                                        <span>Can this mob use Legendary Actions?</span><br>
                                                                        <label> <input name="mob_legendary_action" type="radio" checked /> <span>Nah dude</span> </label><br />
                                                                        <label> <input name="mob_legendary_action" type="radio"/> <span>Hell yeah!</span> </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col s6">
                                                        <div class="card indigo darken-4">
                                                            <div class="card-content white-text">
                                                                <span class="card-title"> About the defence </span>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title"> Immunities </span>
                                                                        <span>What immunities does your dudes have?</span>
                                                                        <div class="row">
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_acid" type="checkbox" /> <span>Acid</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_bludgeoning" type="checkbox" /> <span>Bludgeoning</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_cold" type="checkbox" /> <span>Cold</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_fire" type="checkbox" /> <span>Fire</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_force" type="checkbox" /> <span>Force</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_lightning" type="checkbox" /> <span>Lightning</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_necrotic" type="checkbox" /> <span>Necrotic</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_piercing" type="checkbox" /> <span>Piercing</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_poison" type="checkbox" /> <span>Poison</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_psychic" type="checkbox" /> <span>Psychic</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_radiant" type="checkbox" /> <span>Radiant</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_slashing" type="checkbox" /> <span>Slashing</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="immunity_thunder" type="checkbox" /> <span>Thunder</span> </label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title"> Resistance </span>
                                                                        <span>What resistances does your dudes have?</span>
                                                                        <div class="row">
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_acid" type="checkbox" /> <span>Acid</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_bludgeoning" type="checkbox" /> <span>Bludgeoning</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_cold" type="checkbox" /> <span>Cold</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_fire" type="checkbox" /> <span>Fire</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_force" type="checkbox" /> <span>Force</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_lightning" type="checkbox" /> <span>Lightning</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_necrotic" type="checkbox" /> <span>Necrotic</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_piercing" type="checkbox" /> <span>Piercing</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_poison" type="checkbox" /> <span>Poison</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_psychic" type="checkbox" /> <span>Psychic</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_radiant" type="checkbox" /> <span>Radiant</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_slashing" type="checkbox" /> <span>Slashing</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="resistance_thunder" type="checkbox" /> <span>Thunder</span> </label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title"> Vounerabilities </span>
                                                                        <span>What vounerabilities does your dudes have?</span>
                                                                        <div class="row">
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_acid" type="checkbox" /> <span>Acid</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_bludgeoning" type="checkbox" /> <span>Bludgeoning</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_cold" type="checkbox" /> <span>Cold</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_fire" type="checkbox" /> <span>Fire</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_force" type="checkbox" /> <span>Force</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_lightning" type="checkbox" /> <span>Lightning</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_necrotic" type="checkbox" /> <span>Necrotic</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_piercing" type="checkbox" /> <span>Piercing</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_poison" type="checkbox" /> <span>Poison</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_psychic" type="checkbox" /> <span>Psychic</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_radiant" type="checkbox" /> <span>Radiant</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_slashing" type="checkbox" /> <span>Slashing</span> </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="vounerability_thunder" type="checkbox" /> <span>Thunder</span> </label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col s6">
                                                        <div class="card indigo darken-4">
                                                            <div class="card-content white-text">
                                                                <span class="card-title">Powers</span>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Healing</span>
                                                                        <span>Can your encounter heal?</span><br>
                                                                        <label> <input name="mob_healing" onchange="healingMode(false)" id="mob_healing_noheal" type="checkbox" /> <span>No, my guys cannot heal</span> </label><br />
                                                                        <label> <input name="mob_healing" onchange="healingMode(true)" id="mob_healing_self" type="checkbox" /> <span>Yes, some or all of my mobs can heal THEMSELVES</span> </label><br />
                                                                        <label> <input name="mob_healing" onchange="healingMode(true)" id="mob_healing_other_touch" type="checkbox" /> <span>Yes, some or all of my mobs can heal OTHERS on TOUCH</span> </label><br />
                                                                        <label> <input name="mob_healing" onchange="healingMode(true)" id="mob_healing_other_aoe" type="checkbox" /> <span>Yes, some or all of my mobs can heal OTHERS with AOE</span> </label><br />
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Summoning new Enemies</span>
                                                                        <span>Can they make more problems?</span><br>
                                                                        <label> <input name="mob_summon" type="radio" checked /> <span>No, they can't and never will</span> </label><br />
                                                                        <label> <input name="mob_summon" type="radio"/> <span>I am evil. (yes)</span> </label>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Stunning</span>
                                                                        <span>Can your people stun or slow or otherwise annoy the party?</span><br>
                                                                        <label> <input name="mob_stun" type="radio" checked /> <span>No they can't</span> </label><br />
                                                                        <label> <input name="mob_stun" type="radio"/> <span>My players should suffer >:) </span> </label>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="col s6">
                                                        <div class="card indigo darken-4">
                                                            <div class="card-content white-text">
                                                                <span class="card-title">Conditions</span>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Choose your conditions</span>
                                                                        <span>What conditions are applied to your (some of your) enemies</span><br>
                                                                        <div class="row">
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Blinded" type="checkbox" /> <span>
                                                                                Blinded
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Charmed" type="checkbox" /> <span>
                                                                                Charmed
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Deafened" type="checkbox" /> <span>
                                                                                Deafened
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Exhaustion" type="checkbox" /> <span>
                                                                                Exhaustion
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Frightened" type="checkbox" /> <span>
                                                                                Frightened
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Grappled" type="checkbox" /> <span>
                                                                                Grappled
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Incapacitated" type="checkbox" /> <span>
                                                                                Incapacitated
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Invisible" type="checkbox" /> <span>
                                                                                Invisible
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Paralyzed" type="checkbox" /> <span>
                                                                                Paralyzed
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Petrified" type="checkbox" /> <span>
                                                                                Petrified
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Poisoned" type="checkbox" /> <span>
                                                                                Poisoned
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Prone" type="checkbox" /> <span>
                                                                                Prone
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Restrained" type="checkbox" /> <span>
                                                                                Restrained
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Stunned" type="checkbox" /> <span>
                                                                                Stunned
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_Unconscious" type="checkbox" /> <span>
                                                                                Unconscious
                                                                                </label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card black">
                                                                    <div class="card-content white-text">
                                                                        <span class="card-title">Choose applying conditions</span>
                                                                        <span>What conditions can your players get from this encounter</span><br>
                                                                        <div class="row">
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Blinded" type="checkbox" /> <span>
                                                                                Blinded
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Charmed" type="checkbox" /> <span>
                                                                                Charmed
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Deafened" type="checkbox" /> <span>
                                                                                Deafened
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Exhaustion" type="checkbox" /> <span>
                                                                                Exhaustion
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Frightened" type="checkbox" /> <span>
                                                                                Frightened
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Grappled" type="checkbox" /> <span>
                                                                                Grappled
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Incapacitated" type="checkbox" /> <span>
                                                                                Incapacitated
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Invisible" type="checkbox" /> <span>
                                                                                Invisible
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Paralyzed" type="checkbox" /> <span>
                                                                                Paralyzed
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Petrified" type="checkbox" /> <span>
                                                                                Petrified
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Poisoned" type="checkbox" /> <span>
                                                                                Poisoned
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Prone" type="checkbox" /> <span>
                                                                                Prone
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Restrained" type="checkbox" /> <span>
                                                                                Restrained
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Stunned" type="checkbox" /> <span>
                                                                                Stunned
                                                                                </label>
                                                                            </div>
                                                                            <div class="col s6">
                                                                                <label> <input id="contype_apply_Unconscious" type="checkbox" /> <span>
                                                                                Unconscious
                                                                                </label>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="Results" class="col s12">
                                        <div class="row">
                                            <div class="col s12">
                                                <div class="card black">
                                                    <div class="card-content white-text">
                                                        <span class="card-title">Results</span>
                                                        <div class="row">
                                                            <div class="col s12">
                                                                <div class="card horizontal grey darken-4">
                                                                    <div class="card-image">
                                                                        <a href="https://www.deviantart.com/velger96/art/Marisa-level-chart-208761786"> <img id="diff_image" src="img/error.png" height="206" /> </a>
                                                                    </div>
                                                                    <div class="card-stacked">
                                                                        <div class="card-content">
                                                                            <p id="diff_description">I was unable to calculate the difficulty.</p>
                                                                        </div>
                                                                        <div class="card-action">
                                                                            <p id="diff_summary">Too drunk to calculate</p>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col s12">
                                                <div class="card black">
                                                    <div class="card-content white-text">
                                                        <span class="card-title">Calculation for nerds</span>
                                                        <p>This is where the calculation stats would be, IF I HAD ONE.</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="Bonus" class="col s12">
                                      <div class="row">
                                          <div class="col s12">
                                          <div class="card black">
                                              <div class="card-content white-text">
                                                  <span class="card-title">[DEBUG] Set the current status! [DEBUG]</span> <br />
                                                  <label> <input name="debug_diff" type="radio" checked onchange="calcDiff()" /> <span>Calculation</span> </label>
                                                  <label> <input name="debug_diff" type="radio" onchange="setDiff('easy')" /> <span>Easy</span> </label>
                                                  <label> <input name="debug_diff" type="radio" onchange="setDiff('medium')" /> <span>Medium</span> </label>
                                                  <label> <input name="debug_diff" type="radio" onchange="setDiff('hard')" /> <span>Hard</span> </label>
                                                  <label> <input name="debug_diff" type="radio" onchange="setDiff('lunatic')" /> <span>Deadly</span> </label>
                                              </div>
                                          </div>
                                          </div>
                                      </div>
                                      <div class="row">
                                          <div class="col s12">
                                          <div class="card black">
                                              <div class="card-content white-text">
                                                  <span class="card-title"> Do you intend to wipe the party?</span> <label> <input name="danger" type="radio" checked /> <span>Yes</span> </label> <br />
                                                  <label>
                                                  <input name="danger" type="radio" /> <span class="red-text"> <b>Yes, but in red</b> </span>
                                                  </label>
                                              </div>
                                          </div>
                                          </div>
                                      </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            <!-- START COLLECTION! -->
            <div class="col s12 l2">
                <div class="blurry">
                    <div class="card white">
                        <div class="card-content white-text">
                            <span class="card-title black-text">Your choices</span>
                            <div class="card black">
                                <div class="card-content white-text">
                                    <table>
                                        <thead>
                                            <tr>
                                                <th>Name</th>
                                                <th>Pts</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                            <tr>
                                                <td>Meelee Fighters</td>
                                                <td>3</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript" src="js/materialize.min.js"></script>
        <script type="text/javascript">
            $(document).ready(function () {
            $(".tabs").tabs();
            $(".collapsible").collapsible();
            $("#HP_hitdice").hide();
            $("#dmg_hitdice").hide();
            $("#mob_multiattack_card").hide("fast");
            });
        </script>
        <script type="text/javascript">
        function healingMode(t) {

            if (t) {
                if ($("#mob_healing_other_touch").is(':checked') || $("#mob_healing_self").is(':checked') || $("#mob_healing_other_aoe").is(':checked')) {
                    $("#mob_healing_noheal").prop("checked", false);
                }
            } else {
                if ($("#mob_healing_noheal").is(':checked')) {
                    $("#mob_healing_other_touch").prop("checked", false);
                    $("#mob_healing_self").prop("checked", false);
                    $("#mob_healing_other_aoe").prop("checked", false);
                }
            }
        }


        function setMobs() {
            $("#mob_multiattack_ammount").attr("placeholder", "X / " + $("#mob_ammount").val())
            $("#mob_multiattack_ammount").attr("max", $("#mob_ammount").val())
            if ($("#mob_ammount").val() > 1) {
                    // FIX HP
                    usingHPDice(false);
                    $("#mob_hp_type_rolled").attr("disabled", true);
                    $("#mob_hp_type_averages").prop("checked", true);
                    usingDMGDice(false);
                    $("#mob_dmg_type_rolled").attr("disabled", true);
                    $("#mob_dmg_type_averages").prop("checked", true);
                } else {
                    $("#mob_hp_type_rolled").removeAttr("disabled");
                    $("#mob_dmg_type_rolled").removeAttr("disabled");
                }
            }


            function setMobMultiattack(p) {
                if (p === "hidden") {
                    $("#mob_multiattack_card").hide("fast");
                } else if (p === "all") {
                    $("#mob_multiattack_card").hide("fast");
                } else {
                    $("#mob_multiattack_card").show("fast");
                }
            }

            function usingHPDice(e) {
                if (e) {
                    $("#HP_average").hide("fast");
                    $("#mob_hp_dice_ammount").val("");
                    $("#mob_hp_dice_type").val("");
                    $("#HP_hitdice").show("fast");
                } else {
                        $("#HP_hitdice").hide("fast");
                        $("#mob_hp_avg").val("");
                        $("#HP_average").show("fast");
                }
                calcDiff();
            }


            function usingDMGDice(e) {
                if (e) {
                    $("#dmg_hitdice").hide("fast");
                    $("#mob_dmg_avg").val("");
                    $("#dmg_average").show("fast");
                } else {
                    $("#dmg_average").hide("fast");
                    $("#mob_dmg_dice_ammount").val("");
                    $("#mob_dmg_dice_type").val("");
                    $("#dmg_hitdice").show("fast");
                }
                calcDiff();
            }


            function calcDiff() {
                $("#diff_image").attr("src", "img/notfound.jpg");
                $("#diff_description").html("I was unable to find a calculation with those parameters.... or any programming at all... give me some time, i'm still working on this app, after all.");
                $("#diff_summary").html("#err_notfound");

            }


            function setDiff(difficulty) {
                $("#diff_image").attr("src", "img/diff_" + difficulty.substring(3, 0) + ".jpg");
                switch (difficulty) {
                    case "easy":
                        $("#diff_description").html("This fight should be an easy pick for your players. Maybe a scratch wound or two are the most, they take out of this.");
                        $("#diff_summary").html("A simple fight");
                        break;

                    case "medium":
                        $("#diff_description").html("Noone <i> should </i> die, but if your party willingly positions themselves in front of the raging barbarian, that's on them.");
                        $("#diff_summary").html("A slightly challenging fight.");
                        break;

                    case "hard":
                        $("#diff_description").html("Quite a fight. Could lead to a death. If you want, that your party uses items, go ahead and throw this fight at them.");
                        $("#diff_summary").html("Item usage to prevent death is advised.");
                        break;

                    case "lunatic":
                        $("#diff_description").html("This is the real deal. You will suffer losses. Maybe your party will die... or enslaved.. or enslaved and then killed... However, there is hope! <b> Okay no, I lied.your Party is dead.");
                        $("#diff_summary").html("");
                }
            };
        </script>
    </body>
</html>
